<?php
namespace Drupal\zeptomail\Helper;
use GuzzleHttp\Client;
use GuzzleHttp\Exception\ClientException;

class ZeptoMailApi {
	private $domain;
	private $authtoken;
	
	private function getZeptoUrl() {
		return "https://zeptomail.".$this->domainMapping[$this->domain];
	}
	public function __construct($domain,$authtoken) {
		$this->domain = $domain;
		$this->authtoken = $authtoken;
	}
	public function sendZeptoMail($mail_data) {
		$responseObj = json_decode('{}');
		$urlToSend = $this->getZeptoUrl().'/v1.1/email';	
		$client = new Client();
			$response = $client->post($urlToSend, [
				'headers' => [
					'Content-Type' => 'application/json',
					'Authorization' => $this->authtoken,
					'user-agent' => 'Drupal_ZeptoMail_1.1.x'
				],
				'body' => json_encode($mail_data),
				'http_errors' => false,
			]);
			$statusCode = $response->getStatusCode();
			if($statusCode == '200' || $statusCode == '201') {
				$responseObj->result = "success";
			}else{
				$responseObj->result ="error";
				$responseObj->details = json_decode($response->getBody()->getContents())->error->details[0];
			}
		
		


		return $responseObj;
	}

	public $domainMapping = [
		"zoho.com"          => "zoho.com",
		"zoho.eu"           => "zoho.eu", 
		"zoho.in"           => "zoho.in", 
		"zoho.com.cn"       => "zoho.com.cn",
		"zoho.com.au"       => "zoho.com.au",
		"zoho.jp"           => "zoho.jp",
		"zohocloud.ca"      => "zohocloud.ca",
		"zoho.sa"           => "zoho.sa"
    ];
	
   
}
	